//
// Created by yukun on 27.11.19.
//

#ifndef DEMO_IMAGEDISPLAY_HPP
#define DEMO_IMAGEDISPLAY_HPP

#include <string>
#include <vector>

class Imagedisplay {
public:
    Imagedisplay();
    explicit Imagedisplay(const std::string &file);
    void load(const std::string &file);
    int getWidth();
    int getHeight();
    char *getData();
    int getBitsPerPixel();
    unsigned int getPixel(int x, int y);
private:
    int width;
    int height;
    int offset;
    int bpp;
    std::vector<char> data;
};
#endif //DEMO_IMAGEDISPLAY_HPP
